package com.xjrsoft.module.liteflow.node;

import cn.hutool.core.convert.Convert;
import com.xjrsoft.module.oa.service.IWfMeetingApplyService;
import com.yomahub.liteflow.core.NodeComponent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 会议通知
 */
@Component("wf_meeting_apply_node")
public class WfMeetingApplyNode extends NodeComponent {

    @Autowired
    private IWfMeetingApplyService meetingApplyService;

    @Override
    public void process() throws Exception {
        // 获取表单中数据编号
        Map<String, Object> params = this.getFirstContextBean();
        Object value = util.getFormDatKey(params,"id");
        Long formId = Convert.toLong(value);
        if (formId != null) {
            // 数据处理
            meetingApplyService.noticeParticipants(formId);
        }
    }
}
